| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Gaudi::Parsers::MapGrammar< KeyGrammarT, ValueGrammarT >::definition< ScannerT > Struct Template Reference

`#include <Grammars.h>`

List of all members.

## Detailed Description

### template<typename KeyGrammarT, typename ValueGrammarT>
template<typename ScannerT>
struct Gaudi::Parsers::MapGrammar< KeyGrammarT, ValueGrammarT >::definition< ScannerT >

Definition at line 480 of file Grammars.h.

## Public Member Functions
| definition (MapGrammar const &self)
rule< ScannerT > const & | start () const
## Public Attributes
KeyGrammarT | grKey
ValueGrammarT | grValue
rule< ScannerT > | vec
rule< ScannerT > | inner
rule< ScannerT > | inner_list

## Constructor & Destructor Documentation

template<typename KeyGrammarT, typename ValueGrammarT>
template<typename ScannerT>

Gaudi::Parsers::MapGrammar< KeyGrammarT, ValueGrammarT >::definition< ScannerT >::definition | ( | MapGrammar const & | self | ) | `[inline]`

Definition at line 482 of file Grammars.h.

References Gaudi::Parsers::MapGrammar< KeyGrammarT, ValueGrammarT >::definition< ScannerT >::grKey, Gaudi::Parsers::MapGrammar< KeyGrammarT, ValueGrammarT >::definition< ScannerT >::grValue, Gaudi::Parsers::MapGrammar< KeyGrammarT, ValueGrammarT >::definition< ScannerT >::inner, Gaudi::Parsers::MapGrammar< KeyGrammarT, ValueGrammarT >::definition< ScannerT >::inner_list, Gaudi::Parsers::MapGrammar< KeyGrammarT, ValueGrammarT >::matchFirst(), Gaudi::Parsers::MapGrammar< KeyGrammarT, ValueGrammarT >::matchItem(), Gaudi::Parsers::MapGrammar< KeyGrammarT, ValueGrammarT >::matchSecond(), and Gaudi::Parsers::MapGrammar< KeyGrammarT, ValueGrammarT >::definition< ScannerT >::vec.

    00483         {
    00484           vec
    00485             = ('{'>> inner_list >> '}') | ('['>>inner_list>>']');
    00486           inner_list
    00487             =
    00488             !( inner[boost::bind(&MapGrammar::matchItem,&self)]
    00489                >> *( ch_p(',') >>
    00490                      inner[boost::bind(&MapGrammar::matchItem,&self)] )
    00491                );
    00492           inner
    00493             =
    00494             grKey[boost ::bind(&MapGrammar::matchFirst,&self,_1)]
    00495               >> ( ch_p('=') | ch_p(':'))
    00496               >> grValue[boost::bind(&MapGrammar::matchSecond,&self,_1)] ;
    00497         }

## Member Function Documentation

template<typename KeyGrammarT, typename ValueGrammarT>
template<typename ScannerT>

rule<ScannerT> const& Gaudi::Parsers::MapGrammar< KeyGrammarT, ValueGrammarT >::definition< ScannerT >::start | ( |  | ) | const`[inline]`

Definition at line 500 of file Grammars.h.

References Gaudi::Parsers::MapGrammar< KeyGrammarT, ValueGrammarT >::definition< ScannerT >::vec.

    00500 { return vec; }

## Member Data Documentation

template<typename KeyGrammarT, typename ValueGrammarT>
template<typename ScannerT>

KeyGrammarT Gaudi::Parsers::MapGrammar< KeyGrammarT, ValueGrammarT >::definition< ScannerT >::grKey

Definition at line 498 of file Grammars.h.

Referenced by Gaudi::Parsers::MapGrammar< KeyGrammarT, ValueGrammarT >::definition< ScannerT >::definition().

template<typename KeyGrammarT, typename ValueGrammarT>
template<typename ScannerT>

ValueGrammarT Gaudi::Parsers::MapGrammar< KeyGrammarT, ValueGrammarT >::definition< ScannerT >::grValue

Definition at line 499 of file Grammars.h.

Referenced by Gaudi::Parsers::MapGrammar< KeyGrammarT, ValueGrammarT >::definition< ScannerT >::definition().

template<typename KeyGrammarT, typename ValueGrammarT>
template<typename ScannerT>

rule<ScannerT> Gaudi::Parsers::MapGrammar< KeyGrammarT, ValueGrammarT >::definition< ScannerT >::vec

Definition at line 501 of file Grammars.h.

Referenced by Gaudi::Parsers::MapGrammar< KeyGrammarT, ValueGrammarT >::definition< ScannerT >::definition(), and Gaudi::Parsers::MapGrammar< KeyGrammarT, ValueGrammarT >::definition< ScannerT >::start().

template<typename KeyGrammarT, typename ValueGrammarT>
template<typename ScannerT>

rule<ScannerT> Gaudi::Parsers::MapGrammar< KeyGrammarT, ValueGrammarT >::definition< ScannerT >::inner

Definition at line 501 of file Grammars.h.

Referenced by Gaudi::Parsers::MapGrammar< KeyGrammarT, ValueGrammarT >::definition< ScannerT >::definition().

template<typename KeyGrammarT, typename ValueGrammarT>
template<typename ScannerT>

rule<ScannerT> Gaudi::Parsers::MapGrammar< KeyGrammarT, ValueGrammarT >::definition< ScannerT >::inner_list

Definition at line 501 of file Grammars.h.

Referenced by Gaudi::Parsers::MapGrammar< KeyGrammarT, ValueGrammarT >::definition< ScannerT >::definition().

The documentation for this struct was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiKernel/v25r2/GaudiKernel/Grammars.h